<?php

namespace App\Http\Controllers;

use App\Models\Product;
use App\Models\Checkout;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    public function index()
    {
        $data['bestSelling_products'] = Product::latest()->take(5)->get();
        return view('adexcell-store.frontend.pages.home',$data);
    }
    // products controller
    // public function products(Request $request)
    // {
    //     $search = $request->input('search');
    //     $data['products'] = Product::where(function ($query) use ($search) {
    //         $query->where('name', 'LIKE', '%' . $search . '%')
    //               ->orWhere('category', 'LIKE', '%' . $search . '%')
    //               ->orWhere('price', 'LIKE', '%' . $search . '%');
    //     })->get();
    //     return view('adexcell-store.frontend.pages.products',$data);
    // }

    public function products(Request $request)
    {
        $search = $request->input('search');
        $category = $request->input('category'); // Get the category from the URL

        $query = Product::query();

        if ($category) {
            $query->where('category', $category); // Filter products by category if specified
        }

        if ($search) {
            $query->where(function ($query) use ($search) {
                $query->where('name', 'LIKE', '%' . $search . '%')
                    ->orWhere('category', 'LIKE', '%' . $search . '%')
                    ->orWhere('price', 'LIKE', '%' . $search . '%');
            });
        }

        $data['products'] = $query->get();

        return view('adexcell-store.frontend.pages.products', $data);
    }

    // contact controller
    public function contact()
    {
        return view('adexcell-store.frontend.pages.contact');
    }
    // signIn controller
    public function signIn()
    {
        return view('adexcell-store.frontend.pages.login');
    }
    // checkout controller
    public function checkout(Request $request)
    {
        // Get product details from query parameters
        $productDetails = [
            'photo' => $request->input('photo'),
            'id' => $request->input('id'),
            'name' => $request->input('name'),
            'price' => $request->input('price'),
            'category' => $request->input('category'),
        ];

        return view('adexcell-store.frontend.pages.checkout', compact('productDetails'));
    }

    public function store(Request $request)
    {
        // dd($request->all());
        // $request->validate([
        //     'username' => 'required|string|max:255',
        //     'contact_number' => 'required|string|max:20',
        //     'payment_number' => 'required|string|max:20',
        //     'payment_method' => 'required|in:bkash,nagad,rocket',
        //     'transaction_id' => 'required|string|max:255',
        // ]);

        Checkout::create([
            'username' => $request->input('username'),
            'contact_number' => $request->input('contact_number'),
            'payment_number' => $request->input('payment_number'),
            'payment_method' => $request->input('payment_method'),
            'transaction_id' => $request->input('transaction_id'),
            'product_name' => $request->input('product_name'),
            'product_id' => $request->input('product_id'),
            'product_price' => $request->input('product_price'),
            // 'product_name' => $request->product_name,
            // 'product_id' => $request->product_id,
            // 'product_price' => $request->product_price,
        ]);
        return redirect()->route('checkout')->with('success', 'Your order has been successfully submitted!');
    }

}
