<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Tailwind CSS -->
    <script src="https://cdn.tailwindcss.com"></script>

    <title>Adexcell-Store</title>

    <!-- Favicon -->
    <link rel="icon" href="{{ asset('assets/frontend/logo.png') }}" type="image/png">

    <!-- Material Tailwind CDN -->
    <link href="https://unpkg.com/@material-tailwind/html@latest/styles/material-tailwind.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">


    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Playfair+Display:wght@500;600;700&display=swap"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Kalam&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700;900&display=swap"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@600&display=swap" rel="stylesheet">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" />

    <!-- Swiper CSS -->
    <link rel="stylesheet" href="https://unpkg.com/swiper/swiper-bundle.min.css" />

    <!-- Animate.css -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />

    <!-- Slick Carousel CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css" />

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"
        integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    {{-- toaster message --}}
    {{--
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"> --}}
    {{-- toaster message --}}
    <style>
        /* Loader styles */
        .loader {
            display: flex;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(255, 255, 255, 0.8);
            z-index: 9999;
            justify-content: center;
            align-items: center;
            overflow: hidden;
        }

        /* Image transition styles */
        .image {
            position: absolute;
            transition: transform 0.5s ease-in-out;
        }

        /* Heart animation styles */
        .heart {
            width: 40px;
            height: 40px;
            animation: scaleHeart 1s infinite;
            opacity: 0;
            /* Start hidden */
            position: absolute;
            top: 42%;
            /* Center vertically */
            transform: translate(-50%, -50%);
            /* Center the heart */
        }

        /* Keyframe animations */
        @keyframes slideInFromLeft {
            0% {
                transform: translateX(-100%);
            }

            100% {
                transform: translateX(0);
            }
        }

        @keyframes slideInFromRight {
            0% {
                transform: translateX(100%);
            }

            100% {
                transform: translateX(0);
            }
        }

        @keyframes scaleHeart {

            0%,
            100% {
                transform: scale(1);
                opacity: 0;
            }

            50% {
                transform: scale(1.5);
                opacity: 1;
            }

            /* Scale up */
        }

        /* Custom font-family classes */
        .font-poppins {
            font-family: 'Poppins', sans-serif;
        }

        .font-playfair {
            font-family: 'Playfair Display', serif;
        }

        .font-kalam {
            font-family: 'Kalam', cursive;
        }

        .font-cinzel {
            font-family: 'Cinzel Decorative', serif;
        }

        .font-josefin {
            font-family: 'Josefin Sans', sans-serif;
        }

        /* WhatsApp Button Styles */
        .whatsapp-button {
            position: fixed;
            bottom: 20px;
            right: 20px;
            z-index: 1000;
            width: 60px;
            height: 60px;
            background-color: #25D366;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
            transition: background-color 0.3s ease;
        }

        .whatsapp-button:hover {
            background-color: #1ebe57;
        }

        .whatsapp-icon {
            color: white;
            font-size: 28px;
        }
    </style>
    @stack('styles')

</head>

<body>
    
    <!-- WhatsApp Floating Button -->
    <a href="https://wa.me/1911531111" target="_blank" class="whatsapp-button" aria-label="Chat with us on WhatsApp">
        <i class="fab fa-whatsapp whatsapp-icon"></i>
    </a>

    <!-- Loader HTML -->
    <div class="loader" id="loader">

        <img src="{{ asset('assets/frontend/logo.png') }}" alt="Heart" class="heart">

    </div>

    <!-- Include the header -->
    @include('adexcell-store.frontend.layouts.header')

    <!-- Main content area -->
    <div class="max-w-[90rem] mx-auto">
        @yield('content') <!-- This is where  content will be injected -->
    </div>

    <!-- Include the footer -->
    @include('adexcell-store.frontend.layouts.footer')

    <!-- Material Tailwind JS -->
    <script src="https://unpkg.com/@material-tailwind/html@latest/scripts/material-tailwind.js"></script>

    <!-- Swiper JS -->
    <script src="https://unpkg.com/swiper/swiper-bundle.min.js"></script>

    <!-- jQuery for AJAX loader -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <script>
        // Show loader on page load
        window.addEventListener('load', function () {
            document.getElementById('loader').style.display = 'none'; // Hide loader when the page is fully loaded
        });

        // Show the loader during AJAX requests
        $(document).on({
            ajaxStart: function () { $("#loader").show(); },
            ajaxStop: function () { $("#loader").hide(); }
        });
    </script>


    @stack('scripts')

</body>


</html>
