@extends('adexcell-store.frontend.layouts.app')
@section('content')

@push('styles')
    <style>
        /* Custom media query for 770px to apply large screen styles */
        @media (min-width: 770px) {
            .lg\:flex-row {
                flex-direction: row;
            }

            .lg\:w-1\/5 {
                width: 20%;
            }

            .lg\:col-span-3 {
                grid-column: span 3 / span 3;
            }

            .lg\:grid-cols-3 {
                grid-template-columns: repeat(3, minmax(0, 1fr));
            }
        }

        /* Custom media query for 1100px */
        @media (min-width: 1100px) {
            .lg\:flex-row {
                flex-direction: row;
            }

            .lg\:w-1\/5 {
                width: 20%;
            }

            .lg\:col-span-3 {
                grid-column: span 3 / span 3;
            }

            .lg\:grid-cols-3 {
                grid-template-columns: repeat(3, minmax(0, 1fr));
            }

            /* Additional styles for 1100px */
            .profile-status {
                max-width: 400px;
                /* Example adjustment for larger screens */
            }

            .recent-chats {
                grid-template-columns: repeat(2, minmax(0, 1fr));
                /* Adjusting grid layout */
            }
        }

        /* Optional: Add some basic styles to position the menu correctly */
        .hidden {
            display: none;
        }
    </style>
@endpush

<div class="container mx-auto flex flex-col lg:flex-row min-h-screen">

    <!-- Sidebar -->
    <aside style="overflow: visible; padding-top: 2rem" class="w-full lg:w-1/5 p-4 lg:h-[80vh] ">
        <div class="flex flex-col items-center shadow-md bg-white rounded-lg py-10">
           <img 
                src="{{ Auth::user()->profile_picture ? asset('storage/' . Auth::user()->profile_picture) : 'https://i.imgur.com/m0flw8S.jpg' }}" 
                alt="User Profile"
                class="mb-4 object-cover w-44 h-44 rounded-full border-4 border-blue-500"
            />

            <ul class="space-y-4 w-full font-semibold">
                <li>
                    <a href="{{ route('admin.dashboard') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.dashboard') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">dashboard</span>
                        <span>Dashboard</span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('admin.products') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.products') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">inventory</span>
                        <span>All Products</span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('admin.addProduct') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.addProduct') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">add</span>
                        <span>Add Products</span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('admin.updateProduct') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.updateProduct') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">edit</span>
                        <span>Update Products</span>
                    </a>
                </li>
                <!-- Coupon Option -->
                {{-- <li>
                    <a href="{{ route('admin.coupon') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.coupon') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">confirmation_number</span>
                        <span>Coupon</span>
                    </a>
                </li> --}}
                {{-- newsletter --}}
                <li>
                    <a href="{{ route('admin.newsLetterLst') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.newsLetterLst') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">confirmation_number</span>
                        <span>newsLetter List</span>
                    </a>
                </li>
                {{-- contacts --}}
                <li>
                    <a href="{{ route('admin.contactUslist') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.contactUslist') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">contacts</span>
                        <span>contactUs list</span>
                    </a>
                </li>

                <!-- Profile Option -->
                <li>
                    <a href="{{ route('admin.profile') }}"
                        class="flex items-center space-x-2 {{ request()->routeIs('admin.profile') ? 'text-blue-500 bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' : 'text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))]' }} rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">account_circle</span>
                        <span>Profile</span>
                    </a>
                </li>

                <!-- Log Out Option -->
                <li>
                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>

                    <a href="" onclick="event.preventDefault(); document.getElementById('logout-form').submit();"
                        class="flex items-center space-x-2 text-gray-700 hover:text-blue-500 hover:bg-[linear-gradient(to_right,_rgba(66,153,225,_0.7),_rgba(66,153,225,_0))] rounded-md p-2 transition duration-300 ease-in-out">
                        <span class="material-icons">logout</span>
                        <span>Log Out</span>
                    </a>

                </li>
            </ul>
        </div>
    </aside>


    <!-- Main Content -->
    <main class="flex-1 p-4 space-y-4">
        @yield('dashboard_content')
    </main>
</div>

@push('scripts')
    <script>
        // JavaScript to toggle the menu
        const profileButton = document.getElementById('profile-button');
        const profileMenu = document.getElementById('profile-menu');

        profileButton.addEventListener('click', () => {
            profileMenu.classList.toggle('hidden');
        });

        // Optional: Close the menu when clicking outside of it
        window.addEventListener('click', (event) => {
            if (!profileButton.contains(event.target) && !profileMenu.contains(event.target)) {
                profileMenu.classList.add('hidden');
            }
        });
    </script>
    @stack('dashboard-scripts')

@endpush

@endsection