@extends('adexcell-store.frontend.pages.admin.dashboard')

@section('dashboard_content')
<div class="p-6 space-y-10">
    <!-- Top Options Section -->
    <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 gap-8">
        <!-- Products Section -->
        <div
            class="bg-gradient-to-r from-blue-500 to-blue-700 shadow-lg rounded-xl p-6 text-white flex items-center justify-between hover:shadow-2xl transform hover:scale-105 transition duration-300 ease-in-out">
            <i class="fas fa-box fa-3x opacity-80"></i>
            <div class="text-right">
                <h3 class="text-lg font-semibold">Products</h3>
                <p class="text-3xl font-bold">{{ $total_product }}</p> <!-- Replace 123 with dynamic quantity -->
            </div>
        </div>

        <!-- Categories Section -->
        <div
            class="bg-gradient-to-r from-green-500 to-green-700 shadow-lg rounded-xl p-6 text-white flex items-center justify-between hover:shadow-2xl transform hover:scale-105 transition duration-300 ease-in-out">
            <i class="fas fa-tags fa-3x opacity-80"></i>
            <div class="text-right">
                <h3 class="text-lg font-semibold">Categories</h3>
                <p class="text-3xl font-bold">{{ $total_categories }}</p> <!-- Replace 45 with dynamic quantity -->
            </div>
        </div>
    </div>

    <!-- Product Report Section -->
    {{-- <div class="bg-white shadow-2xl rounded-2xl p-8">
        <h2 class="text-2xl font-semibold text-gray-800 mb-6 text-center">Product Report</h2>
        <div class="overflow-x-auto">
            <table class="w-full table-auto border-collapse shadow-lg rounded-lg overflow-hidden">
                <thead>
                    <tr class="bg-gradient-to-r from-gray-200 to-gray-300 text-left text-gray-700 uppercase text-sm">
                        <th class="px-6 py-4 border-b border-gray-300 font-semibold">Category</th>
                        <th class="px-6 py-4 border-b border-gray-300 font-semibold">Product Quantity</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Example Data Row - Replace with dynamic data -->
                    <tr class="hover:bg-gray-50 transition duration-200 shadow-sm hover:shadow-md">
                        <td class="px-6 py-4 border-b border-gray-200">Electronics</td>
                        <td class="px-6 py-4 border-b border-gray-200 text-blue-700 font-bold">50</td>
                    </tr>
                    <tr class="bg-gray-50 hover:bg-gray-100 transition duration-200 shadow-sm hover:shadow-md">
                        <td class="px-6 py-4 border-b border-gray-200">Clothing</td>
                        <td class="px-6 py-4 border-b border-gray-200 text-green-700 font-bold">30</td>
                    </tr>
                    <tr class="hover:bg-gray-50 transition duration-200 shadow-sm hover:shadow-md">
                        <td class="px-6 py-4 border-b border-gray-200">Home Appliances</td>
                        <td class="px-6 py-4 border-b border-gray-200 text-purple-700 font-bold">20</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div> --}}
    <div class="bg-white shadow-2xl rounded-2xl p-8">
        <h2 class="text-2xl font-semibold text-gray-800 mb-6 text-center">Product Report</h2>
        <div class="overflow-x-auto">
            <table class="w-full table-auto border-collapse shadow-lg rounded-lg overflow-hidden">
                <thead>
                    <tr class="bg-gradient-to-r from-gray-200 to-gray-300 text-left text-gray-700 uppercase text-sm">
                        <th class="px-6 py-4 border-b border-gray-300 font-semibold">Category</th>
                        <th class="px-6 py-4 border-b border-gray-300 font-semibold">Product Quantity</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($categories as $category)
                        <tr class="hover:bg-gray-50 transition duration-200 shadow-sm hover:shadow-md">
                            <td class="px-6 py-4 border-b border-gray-200">{{ $category->category }}</td>
                            <td class="px-6 py-4 border-b border-gray-200 text-blue-700 font-bold">{{ $category->product_quantity }}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>

</div>

@push('dashboard-scripts')
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>
@endpush
@endsection