@extends('adexcell-store.frontend.pages.admin.dashboard')
@section('dashboard_content')
<section class="container mx-auto p-6 font-mono">
    <div class="w-full mb-8 overflow-hidden rounded-lg shadow-lg">
        <div class="w-full overflow-x-auto">
            @if(session('success'))
                <div class="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative" role="alert">
                    <strong class="font-bold">Success!</strong>
                    <span class="block sm:inline">{{ session('success') }}</span>
                    <span class="absolute top-0 bottom-0 right-0 px-4 py-3">
                        <svg class="fill-current h-6 w-6 text-green-500" role="button" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                            <title>Close</title>
                            <path d="M14.348 5.652a1 1 0 00-1.414 0L10 8.586 7.066 5.652a1 1 0 10-1.414 1.414L8.586 10l-2.934 2.934a1 1 0 101.414 1.414L10 11.414l2.934 2.934a1 1 0 001.414-1.414L11.414 10l2.934-2.934a1 1 0 000-1.414z"/>
                        </svg>
                    </span>
                </div>
            @endif

            <table class="w-full">
                <thead>
                    <tr
                        class="text-md font-semibold tracking-wide text-left text-gray-900 bg-gray-100 uppercase border-b border-gray-600">
                        <th class="px-4 py-3">Sl</th>
                        <th class="px-4 py-3">Email</th>
                        <th class="px-4 py-3">Action</th>
                    </tr>
                </thead>
                <tbody class="bg-white">
                    @forelse($newsLetters as $newsLetter)
                        <tr class="text-gray-700">
                            <td class="px-4 py-3 border font-semibold">{{ $loop->iteration }}</td>
                            <td class="px-4 py-3 border font-semibold">{{ $newsLetter->email }}</td>
                            <td class="px-4 py-3 border text-center">
                                <form action="{{ route('newsLetters.destroy', $newsLetter->id) }}" method="POST" onsubmit="return confirm('Are you sure you want to delete this newsletter?');">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="py-2 px-4 bg-red-500 text-white rounded-md hover:bg-red-600">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="5" class="text-center text-gray-500 py-3">No NewsLetters found.</td>
                        </tr>
                    @endforelse
                </tbody>

            </table>
        </div>
    </div>
</section>

</div>




@push('dashboard-scripts')
    {{-- <script>
        // Show Update Form Modal
        function openUpdateForm(productId) {
            document.getElementById('updateFormModal').classList.remove('hidden');
        }

        // Close Update Form Modal
        function closeUpdateForm() {
            document.getElementById('updateFormModal').classList.add('hidden');
        }

        // Preview Image Function
        function previewImage(event) {
            const reader = new FileReader();
            reader.onload = function () {
                const output = document.getElementById('update_image_preview');
                output.src = reader.result;
            };
            reader.readAsDataURL(event.target.files[0]);
        }
    </script>
    <script>
        function openUpdateForm(productId) {
            // Get the modal
            const modal = document.getElementById('updateFormModal');

            // Fetch product details using Ajax (assuming a route for getting product details)
            fetch(`/products/${productId}`)
                .then(response => response.json())
                .then(data => {
                    // Populate modal fields
                    document.getElementById('update_product_name').value = data.name;
                    document.getElementById('update_product_price').value = data.price;
                    document.getElementById('update_product_description').value = data.description;
                    document.getElementById('update_product_category').value = data.category;
                    document.getElementById('update_image_preview').src = `/storage/${data.photo}`;

                    // Show the modal
                    modal.classList.remove('hidden');
                })
                .catch(error => console.error('Error fetching product data:', error));
        }

        function closeUpdateForm() {
            document.getElementById('updateFormModal').classList.add('hidden');
        }

        function previewImage(event) {
            const preview = document.getElementById('update_image_preview');
            preview.src = URL.createObjectURL(event.target.files[0]);
        }



    </script> --}}
@endpush

@endsection
