@extends('adexcell-store.frontend.pages.admin.dashboard')
@section('dashboard_content')
<section class="container mx-auto p-6 font-mono">
    <div class="w-full mb-8 overflow-hidden rounded-lg shadow-lg">
        <div class="w-full overflow-x-auto">
            <table class="w-full">
                <thead>
                    <tr
                        class="text-md font-semibold tracking-wide text-left text-gray-900 bg-gray-100 uppercase border-b border-gray-600">
                        <th class="px-4 py-3">Image</th>
                        <th class="px-4 py-3">Name</th>
                        <th class="px-4 py-3">Price</th>
                        <th class="px-4 py-3">Category</th>
                        <th class="px-4 py-3">Action</th>
                    </tr>
                </thead>
                <tbody class="bg-white">
                    @forelse($products as $product)
                        <tr class="text-gray-700">
                            <td class="px-4 py-3 border">
                                <img src="{{ asset('storage/'.$product->photo) }}" alt="{{ $product->name }}"
                                    class="w-20 h-20 object-cover rounded-md">
                            </td>
                            <td class="px-4 py-3 border font-semibold">{{ $product->name }}</td>
                            <td class="px-4 py-3 border text-green-600 font-bold">${{ number_format($product->price, 2) }}</td>
                            <td class="px-4 py-3 border">{{ $product->category }}</td>
                            <td class="px-4 py-3 border text-center">
                                <a href="{{ route('products.edit', $product->id) }}"
                                   class="py-2 px-4 bg-blue-500 text-white rounded-md hover:bg-blue-600">
                                    Edit
                                </a>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="5" class="text-center text-gray-500 py-3">No products found.</td>
                        </tr>
                    @endforelse
                </tbody>

            </table>
        </div>
    </div>
</section>

</div>




@push('dashboard-scripts')
    {{-- <script>
        // Show Update Form Modal
        function openUpdateForm(productId) {
            document.getElementById('updateFormModal').classList.remove('hidden');
        }

        // Close Update Form Modal
        function closeUpdateForm() {
            document.getElementById('updateFormModal').classList.add('hidden');
        }

        // Preview Image Function
        function previewImage(event) {
            const reader = new FileReader();
            reader.onload = function () {
                const output = document.getElementById('update_image_preview');
                output.src = reader.result;
            };
            reader.readAsDataURL(event.target.files[0]);
        }
    </script>
    <script>
        function openUpdateForm(productId) {
            // Get the modal
            const modal = document.getElementById('updateFormModal');

            // Fetch product details using Ajax (assuming a route for getting product details)
            fetch(`/products/${productId}`)
                .then(response => response.json())
                .then(data => {
                    // Populate modal fields
                    document.getElementById('update_product_name').value = data.name;
                    document.getElementById('update_product_price').value = data.price;
                    document.getElementById('update_product_description').value = data.description;
                    document.getElementById('update_product_category').value = data.category;
                    document.getElementById('update_image_preview').src = `/storage/${data.photo}`;

                    // Show the modal
                    modal.classList.remove('hidden');
                })
                .catch(error => console.error('Error fetching product data:', error));
        }

        function closeUpdateForm() {
            document.getElementById('updateFormModal').classList.add('hidden');
        }

        function previewImage(event) {
            const preview = document.getElementById('update_image_preview');
            preview.src = URL.createObjectURL(event.target.files[0]);
        }



    </script> --}}
@endpush

@endsection
