@extends('adexcell-store.frontend.pages.admin.dashboard')
@section('dashboard_content')

<section class="py-10 px-4">
    <div class="max-w-6xl mx-auto bg-white p-8 rounded-lg shadow-lg">
        <h2 class="text-2xl font-bold text-blue-600 mb-6 text-center">Affiliated Users List</h2>

        <!-- Users Table -->
        <div class="overflow-x-auto">
            <table class="min-w-full bg-white border border-gray-200">
                <thead class="bg-blue-600 text-white">
                    <tr>
                        <th class="py-3 px-4 text-left font-semibold">ID</th>
                        <th class="py-3 px-4 text-left font-semibold">Profile Picture</th>
                        <th class="py-3 px-4 text-left font-semibold">Name</th>
                        <th class="py-3 px-4 text-left font-semibold">Email</th>
                        <th class="py-3 px-4 text-left font-semibold">WhatsApp Number</th>
                        <th class="py-3 px-4 text-left font-semibold">Call Number</th>
                        <th class="py-3 px-4 text-left font-semibold">Joined Date</th>
                        <th class="py-3 px-4 text-center font-semibold">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Example User Row -->
                    <tr class="border-b hover:bg-gray-100">
                        <td class="py-4 px-4 whitespace-nowrap">1</td>
                        <td class="py-4 px-4 whitespace-nowrap">
                            <img src="https://i.imgur.com/UwjrpzY.png" alt="Profile Picture"
                                class="w-10 h-10 rounded-full object-cover">
                        </td>
                        <td class="py-4 px-4 whitespace-nowrap">John Doe</td>
                        <td class="py-4 px-4 whitespace-nowrap">john@example.com</td>
                        <td class="py-4 px-4 whitespace-nowrap">+1 234 567 8901</td> <!-- WhatsApp Number -->
                        <td class="py-4 px-4 whitespace-nowrap">+1 234 567 8902</td> <!-- Call Number -->
                        <td class="py-4 px-4 whitespace-nowrap">2024-10-25</td>
                        <td class="py-4 px-4 text-center">
                            <button onclick="confirmDeleteUser(1)" class="text-red-500 hover:text-red-700">
                                <i class="fas fa-trash"></i>
                            </button>
                        </td>
                    </tr>
                    <!-- Add more rows dynamically as needed -->
                </tbody>
            </table>
        </div>
    </div>
</section>



@push('dashboard-scripts')
    <script>
        // Function to confirm deletion
        function confirmDeleteUser(userId) {
            if (confirm('Are you sure you want to delete this user?')) {
                // Add logic here to delete the user, e.g., send a request to the server
                alert(`User with ID ${userId} deleted!`);
            }
        }
    </script>
@endpush

@endsection