@extends('adexcell-store.frontend.layouts.app')
@section('content')

<section


    class="w-full my-20 lg:flex-row flex items-center gap-[30px] flex-col justify-between bg-[#0A0D17] p-[40px] rounded-xl">
    <!-- Form Area -->
    <form class="lg:w-[60%] w-full" action="{{ route('contacts.store') }}" method="POST">
        @csrf
        <div class="row">
            @if(session('success'))
                <div class="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative" role="alert">
                    <span class="block sm:inline">{{ session('success') }}</span>
                </div>
            @endif
        </div>
        <div class="lg:w-[80%] w-full mx-auto">
            <div class="text-white">
                <h1 class="text-[1.7rem] font-[600] leading-[35px] animate__animated animate__fadeIn">Contact Us</h1>
                <p class="text-[0.9rem] mt-2 mb-8 animate__animated animate__fadeIn">
                    We're here to help with any questions or inquiries. Please fill in your details below, and our team
                    at Adexcell will get back to you shortly.
                </p>
            </div>

                <div class="lg:w-[80%] w-full mx-auto">
                    <div class="text-white">
                        <h1 class="text-[1.7rem] font-[600] leading-[35px] animate__animated animate__fadeIn">Contact Us</h1>
                        <p class="text-[0.9rem] mt-2 mb-8 animate__animated animate__fadeIn">
                            We're here to help with any questions or inquiries. Please fill in your details below, and our team
                            at Adexcell will get back to you shortly.
                        </p>
                    </div>
                    <div class="flex sm:flex-row flex-col items-center gap-[20px]">
                        <div class="flex flex-col gap-[5px] w-full sm:w-[50%]">
                            <input type="text" name="name" placeholder="Your Name" required
                                class="peer border-[#383844] border rounded-md outline-none px-4 py-3 w-full bg-[#22222f] text-gray-400 transition-colors duration-300 animate__animated animate__fadeIn" />
                        </div>

                        <div class="flex flex-col gap-[5px] w-full sm:w-[50%]">
                            <input type="email" name="email" placeholder="Email Address" required
                                class="peer border-[#383844] border rounded-md outline-none px-4 py-3 w-full bg-[#22222f] text-gray-400 transition-colors duration-300 animate__animated animate__fadeIn" />
                        </div>
                    </div>

                    <div class="flex sm:flex-row flex-col items-center gap-[20px] mt-[20px]">
                        <div class="flex flex-col gap-[5px] w-full sm:w-[50%]">
                            <input type="text" name="contact_number" placeholder="Contact Number"
                                class="peer border-[#383844] border rounded-md outline-none px-4 py-3 w-full bg-[#22222f] text-gray-400 transition-colors duration-300 animate__animated animate__fadeIn" />
                        </div>

                        <div class="flex flex-col gap-[5px] w-full sm:w-[50%]">
                            <input type="text" name="whatsapp_number" placeholder="WhatsApp Number"
                                class="peer border-[#383844] border rounded-md outline-none px-4 py-3 w-full bg-[#22222f] text-gray-400 transition-colors duration-300 animate__animated animate__fadeIn" />
                        </div>
                    </div>

                    <div class="flex flex-col gap-[5px] w-full mt-[20px]">
                        <textarea name="message" placeholder="Enter Your Message" required
                            class="peer min-h-[100px] border-[#383844] border rounded-md outline-none px-4 bg-[#22222f] py-3 w-full text-gray-400 transition-colors duration-300 animate__animated animate__fadeIn"></textarea>
                    </div>

                    <button type="submit"
                        class="py-2.5 px-6 bg-gradient-to-r from-[#763AF5] to-[#A604F2] text-white rounded-md text-[1rem] mt-[10px] w-full animate__animated animate__fadeIn">
                        Submit Enquiry
                    </button>
                </div>


        </div>

    </form>

    <!-- Image -->
    <div class="">
        <img src="https://i.ibb.co/h7rjVJS/Image.png" alt="image"
            class="w-full transition-transform duration-300 transform hover:scale-105 animate__animated animate__fadeIn" />
    </div>
</section>

@push('scripts')
    <script>
        // Toggle password visibility
        document.getElementById('togglePassword').addEventListener('click', function () {
            const passwordInput = document.getElementById('password');
            const eyeIcon = document.getElementById('eyeIcon');

            if (passwordInput.type === 'password') {
                passwordInput.type = 'text';
                eyeIcon.classList.remove('fa-eye');
                eyeIcon.classList.add('fa-eye-slash');
            } else {
                passwordInput.type = 'password';
                eyeIcon.classList.remove('fa-eye-slash');
                eyeIcon.classList.add('fa-eye');
            }
        });

        // Show/hide eye icon based on input
        function toggleEyeIcon() {
            const passwordInput = document.getElementById('password');
            const togglePassword = document.getElementById('togglePassword');

            if (passwordInput.value.length > 0) {
                togglePassword.style.display = 'block';
            } else {
                togglePassword.style.display = 'none';
            }
        }
    </script>
@endpush
@endsection
