@extends('adexcell-store.frontend.layouts.app')
@section('content')

@push('styles')
    <style>
        /* Custom Animations */
        @keyframes fadeIn {
            0% {
                opacity: 0;
                transform: translateY(20px);
            }

            100% {
                opacity: 1;
                transform: translateY(0);
            }
        }

        .fade-in {
            animation: fadeIn 0.5s ease forwards;
        }
    </style>
@endpush

<!-- Sign In Section -->
<section class="bg-gradient-to-r from-blue-500 to-purple-600 py-24 flex justify-center items-center">
    <div class="max-w-md w-full bg-white rounded-lg shadow-lg p-8 fade-in">
        @if(session('errors'))
            <div class="alert alert-danger">
                {{ session('errors')->first('errors') }}
            </div>
        @endif

        <h2 class="text-3xl font-bold text-center text-gray-800 mb-6">Sign In</h2>
        <form action="{{ route('storeLogin') }}" method="post">
            @csrf
            <div class="mb-4">
                <label for="email" class="block text-gray-700 text-sm font-semibold mb-2">Email</label>
                <input type="email" id="email" name="email" required placeholder="Enter your email"
                    class="w-full px-4 py-3 border rounded-md focus:outline-none focus:ring-2 focus:ring-blue-500 transition duration-300" />
            </div>
            <div class="mb-6">
                <label for="password" class="block text-gray-700 text-sm font-semibold mb-2">Password</label>
                <input type="password" name="password" id="password" required placeholder="Enter your password"
                    class="w-full px-4 py-3 border rounded-md focus:outline-none focus:ring-2 focus:ring-blue-500 transition duration-300" />
            </div>
            <button type="submit"
                class="w-full bg-blue-600 text-white py-3 rounded-md font-semibold shadow-md hover:bg-blue-700 transition duration-300 transform hover:scale-105">
                Sign In
            </button>
        </form>
        <div class="mt-4 text-center">
            <a href="#" class="text-blue-500 hover:underline">Forgot Password?</a>
        </div>

    </div>
</section>
@endsection
