<!-- Category Section -->
<section class="py-10">
    <div class="container mx-auto text-center">
        <h2 class="text-4xl font-extrabold mb-8 underline text-violet-700">Browse Our Categories</h2>
        <div class="grid grid-cols-1 md:grid-cols-3 gap-8 px-4">

            <!-- Software Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/eLkgNuW.jpg') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Software</h3>
                    <p class="mt-2 text-gray-200">Find all kinds of useful software for your needs.</p>
                    <a href="{{ route('products', ['category' => 'software']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>

                </div>
            </div>

            <!-- Subscription Services Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/2arzZDJ.jpg') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Subscription Services</h3>
                    <p class="mt-2 text-gray-200">Watch your favorite shows and movies online.</p>
                    <a href="{{ route('products', ['category' => 'Subscription Services']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>

            <!-- Gift Cards Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/dWWPirA.png') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Gift Cards</h3>
                    <p class="mt-2 text-gray-200">Get gift cards for popular platforms and services.</p>
                    <a href="{{ route('products', ['category' => 'Gift Cards']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>

            <!-- Gaming Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/Uki3ECv.jpg') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Gaming</h3>
                    <p class="mt-2 text-gray-200">Buy in-game currency for popular games.</p>
                    <a href="{{ route('products', ['category' => 'Gaming']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>

            <!-- VPN Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/nmvaX4o.jpg') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">VPN Services</h3>
                    <p class="mt-2 text-gray-200">Keep your internet connection safe and private.</p>
                    <a href="{{ route('products', ['category' => 'VPN Services']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>

            <!-- Music Streaming Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/GysB5o6.png') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Music Streaming</h3>
                    <p class="mt-2 text-gray-200">Enjoy music from popular platforms like Spotify.</p>
                    <a href="{{ route('products', ['category' => 'Music Streaming']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>

            <!-- Software Tools Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/pqE5kn0.jpg') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Software Tools</h3>
                    <p class="mt-2 text-gray-200">Explore various software tools.</p>
                    <a href="{{ route('products', ['category' => 'Software Tools']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>
            <!-- AI Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/QJThebY.jpg') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Artificial Intelligence</h3>
                    <p class="mt-2 text-gray-200">Explore various artificial intelligences.</p>
                    <a href="{{ route('products', ['category' => 'Artificial Intelligence']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>

            <!-- Other Services Category -->
            <div class="bg-cover bg-center h-64 p-6 rounded-lg shadow-lg transition-transform duration-300 hover:scale-105"
                style="background-image: url('{{ asset('https://i.imgur.com/mTbkv9b.jpg') }}');">
                <div class="bg-black bg-opacity-60 p-6 rounded-lg">
                    <h3 class="text-2xl font-bold text-white drop-shadow-lg">Other Services</h3>
                    <p class="mt-2 text-gray-200">Explore various other products and services.</p>
                    <a href="{{ route('products', ['category' => 'Other Services']) }}"
                        class="mt-4 inline-block bg-violet-700 text-white p-2 rounded-md font-semibold hover:underline hover:text-blue-400 transition">Shop Now</a>
                </div>
            </div>

        </div>
    </div>
</section>