<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\AffiliateController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\NewsletterController;
use App\Http\Controllers\ContactController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Home controller
Route::get('/', [HomeController::class, 'index'])->name('home');
Route::get('/products', [HomeController::class, 'products'])->name('products');
Route::get('/sign-in', [HomeController::class, 'signIn'])->name('login');
Route::get('/checkout', [HomeController::class, 'checkout'])->name('checkout');
Route::post('/checkout-store', [HomeController::class, 'store'])->name('checkout.store');


Route::get('/contact-us', [HomeController::class, 'contact'])->name('contact');

// newsletter store
Route::post('/newsletter/store', [NewsletterController::class, 'store'])->name('newsletter.store');
// contact store
Route::post('/contacts/store', [ContactController::class, 'store'])->name('contacts.store');

Route::post('/login-store', [AdminController::class, 'login'])->name('storeLogin');
Route::middleware(['auth'])->group(function () {
    Route::post('/logout', [AdminController::class, 'logout'])->name('logout');
    // Admin controller
    Route::get('/admin/dashboard', [AdminController::class, 'dashboard'])->name('admin.dashboard');
    Route::get('/admin/products', [AdminController::class, 'products'])->name('admin.products');
    Route::get('/admin/add-product', [AdminController::class, 'addProduct'])->name('admin.addProduct');
    Route::get('/admin/update-product', [AdminController::class, 'updateProduct'])->name('admin.updateProduct');
    Route::get('/admin/coupon', [AdminController::class, 'coupon'])->name('admin.coupon');
    Route::get('/admin/profile', [AdminController::class, 'profile'])->name('admin.profile');

    // store products
    Route::post('/admin/products', [ProductController::class, 'store'])->name('products.store');
    Route::get('/products/{id}', [ProductController::class, 'edit'])->name('products.edit');
    Route::put('/products/{id}', [ProductController::class, 'update'])->name('products.update');
    Route::delete('/products/{id}', [ProductController::class, 'destroy'])->name('products.destroy');


    Route::get('/news-letter-list', [AdminController::class, 'newsLetterLst'])->name('admin.newsLetterLst');
    Route::delete('/newsletters/{id}', [AdminController::class, 'destroyNewsletter'])->name('newsLetters.destroy');

    Route::get('/contact-us-list', [AdminController::class, 'contactUslist'])->name('admin.contactUslist');
    Route::delete('/contacts/{id}', [AdminController::class, 'destroyContact'])->name('contacts.destroy');

    Route::post('/update-profile-picture', [AdminController::class, 'updateProfilePicture'])->name('updateProfilePicture');

});
