<?php $__env->startSection('dashboard_content'); ?>

<section class="py-10 px-4 bg-gray-900">
    <div class="max-w-3xl mx-auto bg-gray-800 p-8 rounded-lg shadow-lg transition-transform transform hover:scale-105">
        <?php if(session('success')): ?>
            <div class="bg-green-500 text-white p-4 rounded-md mb-4">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>

        <h2 class="text-3xl font-bold text-white mb-6 text-center">Update Profile Picture</h2>

        
        <form id="profile-picture-form" method="post" action="<?php echo e(route('updateProfilePicture')); ?>" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <!-- Current Profile Picture -->
            <div class="flex justify-center mb-4">
                <img id="current_profile_picture" src="<?php echo e(asset('storage/' . Auth::user()->profile_picture)); ?>" alt="Current Profile"
                    class="w-32 h-32 rounded-full border-4 border-blue-600 object-cover transition-transform transform hover:scale-110">
            </div>

            <!-- New Profile Picture Upload -->
            <div>
                <label class="block text-gray-300 font-semibold mb-2" for="profile_picture">Select New Profile
                    Picture</label>
                <<input type="file" id="profile_picture" name="profile_picture" accept="image/*"
                    class="w-full border border-gray-600 p-2 rounded-md bg-gray-700 text-gray-300 focus:outline-none focus:ring-2 focus:ring-blue-400">

                <div class="mt-4 flex justify-center">
                    <img id="profile_picture_preview" src="" alt="Image Preview"
                        class="w-32 h-32 rounded-full border-4 border-blue-600 object-cover hidden transition-transform transform hover:scale-110">
                </div>
            </div>

            <!-- Submit Button -->
            <div class="text-center">
                <button type="submit" id="updateProfileButton"
                    class="w-full sm:w-auto bg-blue-600 text-white font-bold py-2 px-4 rounded-md transition duration-300 ease-in-out hover:bg-blue-700 focus:ring-2 focus:ring-blue-400">
                    Update Profile Picture
                </button>
            </div>
        </form>
    </div>
</section>

<?php $__env->startPush('dashboard-scripts'); ?>
    <script>
        document.getElementById('profile_picture').addEventListener('change', function (event) {
            const file = event.target.files[0];
            const reader = new FileReader();

            reader.onload = function (e) {
                const previewImage = document.getElementById('profile_picture_preview');
                previewImage.src = e.target.result;
                previewImage.classList.remove('hidden');
            }

            if (file) {
                reader.readAsDataURL(file);
            }
        });

        function updateProfilePicture() {
            const fileInput = document.getElementById('profile_picture');
            if (fileInput.files.length === 0) {
                alert('Please select a profile picture to update.');
                return;
            }

            // Here you would typically send the file to the server to update the profile picture
            alert('Profile picture updated successfully!');
            // For demonstration, just hide the preview
            document.getElementById('profile_picture_preview').classList.add('hidden');
            // Optionally reset the file input
            fileInput.value = '';
        }
    </script>
    

<?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('adexcell-store.frontend.pages.admin.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\adexcell-store\resources\views/adexcell-store/frontend/pages/admin/profile.blade.php ENDPATH**/ ?>