<div class="mt-4 mb-10">
    <section
        class="w-full max-w-[83rem] mx-auto rounded-xl py-5 sm:py-10 px-10 sm:px-20 bg-gradient-to-br from-[#161819] to-[#5C26B5] relative overflow-hidden">
        <div class="row">
            <?php if(session('success')): ?>
                <div class="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative" role="alert">
                    <span class="block sm:inline"><?php echo e(session('success')); ?></span>
                </div>
            <?php endif; ?>
        </div>
        <div class="w-full sm:w-3/4">
            <h1 class="text-2xl sm:text-4xl text-[#71ECD2] font-medium leading-tight">Subscribe to Our Newsletter</h1>
            <p class="text-sm sm:text-base text-[#CBCBCB] mt-4">Get weekly updates about our products. No spam
                guaranteed, we promise ✌️</p>

            <form method="POST" action="<?php echo e(route('newsletter.store')); ?>">
                <?php echo csrf_field(); ?>
                <div class="relative mt-8 mb-6">
                    <input name="email" class="py-3 pr-4 pl-12 w-full outline-none rounded-lg text-gray-900 relative z-10" type="email"
                        placeholder="Email Address" required />
                    <span
                        class="absolute top-1/2 left-3 transform -translate-y-1/2 bg-[#F8F8F8] p-1.5 rounded-full text-[#6C777C] z-20">
                        <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" viewBox="0 0 24 24" fill="currentColor">
                            <path
                                d="M20 4H4C2.9 4 2 4.9 2 6V18C2 19.1 2.9 20 4 20H20C21.1 20 22 19.1 22 18V6C22 4.9 21.1 4 20 4ZM20 8.82L12.7 13.42C12.31 13.7 11.69 13.7 11.3 13.42L4 8.82V6L12 11L20 6V8.82Z" />
                        </svg>
                    </span>
                    <button
                        class="absolute bottom-[-10px] right-[-10px] bg-[#825FF1] hover:bg-[#7755e8] text-white py-3 px-8 rounded-lg z-20">Subscribe</button>
                </div>
            </form>

        </div>
        <span class="absolute top-[-50px] right-[-50px] text-white opacity-10 transform rotate-[-30deg] z-0">
            <svg xmlns="http://www.w3.org/2000/svg" class="w-[30rem] h-[30rem]" viewBox="0 0 24 24" fill="currentColor">
                <path
                    d="M20 4H4C2.9 4 2 4.9 2 6V18C2 19.1 2.9 20 4 20H20C21.1 20 22 19.1 22 18V6C22 4.9 21.1 4 20 4ZM20 8.82L12.7 13.42C12.31 13.7 11.69 13.7 11.3 13.42L4 8.82V6L12 11L20 6V8.82Z" />
            </svg>
        </span>
    </section>
</div>
<?php /**PATH C:\laragon\www\adexcell-store\resources\views/adexcell-store/frontend/partial/newsletter.blade.php ENDPATH**/ ?>