<style>
    /* Custom Hover and Transition Styles */
    .navbar-item {
        transition: color 0.3s ease, transform 0.3s ease;
    }

    .navbar-item:hover {
        color: #0073e6;
        /* Custom blue color */
        transform: scale(1.05);
    }

    .search-bar {
        background-color: #f1f5f9;
        /* Tailwind's gray-100 */
    }

    .search-bar:focus {
        background-color: #e2e8f0;
        /* Tailwind's gray-200 */
        border-color: #0073e6;
        /* Custom blue border on focus */
    }
</style>

<!-- Top Banner -->
<div class="bg-black text-white text-xs md:text-sm py-2 flex justify-center items-center px-4">
    🌟 Big Savings! Use coupons for discounts!
    <a href="<?php echo e(route('products')); ?>" class="ml-2 text-yellow-400 font-semibold underline">Shop Now</a>
</div>

<!-- Main Navbar -->
<nav class="bg-white shadow-lg py-4 px-4 md:px-8 flex justify-between items-center sticky top-0 z-50">
    <!-- Logo -->
    <div class="text-2xl font-bold">
        <a href="/" class="text-black">
            <div class="flex justify-center items-center gap-1">
                <img src="<?php echo e(asset('assets/frontend/logo.png')); ?>" alt="logo" class="w-10" style="animation-delay: 2s;">
                <h1 class="font-bold text-xl xl:text-2xl uppercase">Adexcell Store</h1>
            </div>
        </a>
    </div>

    <!-- Navbar Links -->
    <div class="hidden md:flex items-center space-x-8 text-lg font-bold">
        <a href="/" class="navbar-item text-gray-700">Home</a>
        <a href="<?php echo e(route('products')); ?>" class="navbar-item text-gray-700">Products</a>
        <a href="<?php echo e(route('contact')); ?>" class="navbar-item text-gray-700">Contact Us</a>
        <a href="<?php echo e(route('login')); ?>"
            class="block text-white bg-gradient-to-r from-purple-500 to-blue-600 hover:from-blue-600 hover:to-purple-500 transition-all duration-300 px-4 py-2 rounded-md font-semibold shadow-md transform hover:scale-105">
            Sign In
        </a>
    </div>

    <!-- Search, Wishlist, Cart, and Mobile Menu Toggle Icons -->
    

    <div class="flex items-center space-x-6">
        <!-- Search Bar -->
        <div class="relative hidden md:block">
            <form action="<?php echo e(route('products')); ?>" method="GET">
                <input
                    type="text"
                    name="search"
                    placeholder="Search for products..."
                    class="search-bar w-full rounded-full border border-gray-300 focus:outline-none focus:ring-2 focus:ring-blue-500 px-4 py-2 text-gray-700"
                    value="<?php echo e(request('search')); ?>" />
                <button type="submit" class="absolute top-1/2 right-3 transform -translate-y-1/2 text-gray-500 focus:outline-none">
                    <i class="fas fa-search"></i>
                </button>
            </form>
        </div>
        <!-- Mobile Menu Toggle -->
        <button id="mobile-menu-button" class="text-gray-700 focus:outline-none md:hidden">
            <i class="fas fa-bars text-2xl"></i>
        </button>
    </div>

</nav>

<!-- Mobile Menu -->
<div id="mobile-menu" class="hidden bg-white px-4 py-4 space-y-4 text-lg font-bold">
    <a href="/" class="block navbar-item text-gray-700">Home</a>
    <a href="<?php echo e(route('products')); ?>" class="block navbar-item text-gray-700">Products</a>
    <a href="<?php echo e(route('contact')); ?>" class="block navbar-item text-gray-700">Contact Us</a>
    <a href="<?php echo e(route('login')); ?>"
        class="block text-white bg-gradient-to-r from-purple-500 to-blue-600 hover:from-blue-600 hover:to-purple-500 transition-all duration-300 px-4 py-2 rounded-md font-semibold shadow-md transform hover:scale-105">
        Sign In
    </a>

    <div class="relative mt-4">
        <input type="text" placeholder="Search for products..."
            class="search-bar w-full rounded-full border border-gray-300 focus:outline-none focus:ring-2 focus:ring-blue-500 px-4 py-2 text-gray-700" />
        <i class="fas fa-search absolute top-1/2 right-3 transform -translate-y-1/2 text-gray-500"></i>
    </div>
</div>

<!-- Script for Mobile Menu Toggle -->
<script>
    const mobileMenuButton = document.getElementById('mobile-menu-button');
    const mobileMenu = document.getElementById('mobile-menu');

    mobileMenuButton.addEventListener('click', () => {
        mobileMenu.classList.toggle('hidden');
    });
</script>
<?php /**PATH D:\laragon\www\adexcell-store\resources\views/adexcell-store/frontend/layouts/header.blade.php ENDPATH**/ ?>